import os

from altius_l1pp_inflight.configuration import altius_config


def get_lunar_observations_directory(config: altius_config.AltiusL1ppInflightConfig, channel: str = 'uv'):
    dir_out = os.path.join(config.get_processed_lunar_prnu_file_directory(),
                           'altius_observation', '{}'.format(channel))
    return dir_out


def get_lunar_prnu_directory(config: altius_config.AltiusL1ppInflightConfig, channel):
    dir_out = os.path.join(config.get_processed_lunar_prnu_file_directory(),
                           'calibration', '{}'.format(channel))
    return dir_out
