# TODO this package will contain all functions relevant to the
#  instrument model, namely the PRNU interface, SRF interface,
#  and PSF interface.  The idea is that these functions work together
#  to take an incoming radiance scene and produce an outgoing
#  radiance on the detector
from altius_l1pp_inflight.instrument.psf.psf_interface import PsfInterface
from altius_l1pp_inflight.instrument.srf.srf_interface import SrfInterface


class InstrumentModel:
    """

    """

    def __init__(self, srf: SrfInterface, psf: PsfInterface):
        self.srf = srf
        self.psf = psf

    # Incoming lines of sight for incoming radiance field
    # Outgoing detector (pixel) field etc
